import request from '@/utils/request'
import constant from '@/constant'

function pageList(formData){
  return request.post(constant.serverUrl + "/bus/priceInfo/pageList", formData);
}

function create(){
  return request.get(constant.serverUrl + "/bus/priceInfo/create");
}

function edit(id){
  return request.get(constant.serverUrl + "/bus/priceInfo/edit/" + id);
}

function add(formModel){
  return request.post(constant.serverUrl + "/bus/priceInfo/add", formModel,{
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function update(formModel){  
  return request.post(constant.serverUrl + "/bus/priceInfo/update", formModel,{
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function remove(id){
  return request.post(constant.serverUrl + "/bus/priceInfo/delete/" + id);
}

function batchRemove(idList){
  return request.post(constant.serverUrl + "/bus/priceInfo/batchDelete",idList,{
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function searchRoutePrice(formData){
  return request.post(constant.serverUrl + "/bus/priceInfo/searchRoutePrice", formData);
}

function exportXls(formData) {
  //导出xls
  return request.post(constant.serverUrl + "/bus/priceInfo/exportXls", formData);
}

function findPriceByStation(formData){
  return request.post(constant.serverUrl + "/bus/priceInfo/findPriceByStation", formData);
}

export default {
  pageList,create,edit,add,update,remove,batchRemove,searchRoutePrice,exportXls,findPriceByStation
}